<?php
/**
 *  Copyright notice
 *
 *  (c) 2012 Jan Bednarik (info@bednarik.org)
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *  A copy is found in the textfile GPL.txt and important notices to the license
 *  from the author is found in LICENSE.txt distributed with these scripts.
 *
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * class.tx_jbcommentsanswers_hooks.php
 */

class tx_jbimagecomments_hooks {
    function comments_getComments($params) {
		$params['markers']['###IMAGE###'] = '';

		$resultComment = $GLOBALS['TYPO3_DB']->exec_SELECTgetRows(
			'tx_jbimagecomments_image',
			'tx_comments_comments',
			'uid='.$params['row']['uid']
		);

		if (!array_key_exists(0, $resultComment) ||
		    !array_key_exists('tx_jbimagecomments_image', $resultComment[0])) {
			// early return of default value
			return $params['markers'];
		}
        $ic = $params['pObj']->conf['image_stdWrap.'];
        $ic['file'] = 'uploads/tx_jbimagecomments/'.$resultComment[0]['tx_jbimagecomments_image'];
        $params['markers']['###IMAGE###'] = $params['pObj']->cObj->IMAGE($ic);

		return $params['markers'];
	}
    function processSubmission($params) {
        var_dump($_FILES);
        if (!empty($_FILES['tx_comments_pi1'])) {
            $file_info = getimagesize($_FILES['tx_comments_pi1']['tmp_name']['tx_jbimagecomments_image']);
            if (!empty($file_info)) {
                $filename = t3lib_div::shortMD5(uniqid('uploadfile'));
                $tmp_name = $_FILES['tx_comments_pi1']['tmp_name']['tx_jbimagecomments_image'];
                $path_parts = pathinfo($_FILES['tx_comments_pi1']['name']['tx_jbimagecomments_image']);
                $filename .= '.'.$path_parts['extension'];
                move_uploaded_file($tmp_name,'uploads/tx_jbimagecomments/'.$filename);
                $params['record']['tx_jbimagecomments_image'] = $filename;
            }
        }
        return $params['record'];
    }
    
    function form($params) {
        $params['markers']['###ERROR_IMAGE###'] = $_FILES['tx_comments_pi1']['tx_jbimagecomments_image']['error'] ? $_FILES['tx_comments_pi1']['tx_jbimagecomments_image']['error'] : '';
        return $params['markers'];
    }
}

?>
